package com.ozs.service.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.service.entity.MsgAlarm;
import com.ozs.service.entity.MsgWebPush;
import com.ozs.service.entity.vo.MsgAlarmVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author : sunhh
 * @create 2023/3/15 14:35
 */
@Mapper
public interface MsgWebPushMapper extends BaseMapper<MsgWebPush> {
    Integer webAlarmNum(@Param("userIds") List<String> userIds);

    List<MsgWebPush> webAlarm(@Param("userIds") List<String> userIds);

    List<MsgAlarm> messageMore(MsgAlarmVo msgAlarmVo);

    List<String> messageMoreByUserIds(List<String> userIds);
}
